# TemporarySkip

## 概要

この NVDA アドオンは、短時間必要な間だけ、特定のフレーズを読み飛ば競るようにします。そんなこと必要なのかと思われるかもしれません。私は欲しかったので作りました。他の人に必要かどうかは……ちょっとわかりませんが、せっかくなので公開します。

中の人は、以下のようなシチュエーションで使いたいと思っています。

- CUI での捜査中に、コンソール行の先頭にあるお決まりフレーズを読み飛ばす
- GitHub のサイトでコードレビュー中に、 Add line comment と言われ続けるのがうっとうしいので黙らせる
- Slack や Discord で、同じ人が何十件も連続で投稿しているときに、その人の名前を読み飛ばす

他にも、ふとどこかでいい感じにフィットする瞬間があるかもしれないし、ないかもしれません。

## 操作方法

### フレーズを読み飛ばす

このアドオンは、 NVDA に搭載されている「開始/終了マーカー」の機能を拡張した操作方式を採用しています。

まず、読み飛ばしたいフレーズの先頭にレビューカーソルを移動します。ここで、 NVDA+F9 を押して、開始位置をマークします。

その後、読み飛ばしたいフレーズの終了位置に移動して、 NVDA+F11 を押します。これにより、選択範囲のフレーズと一致するものは、これ以降自動的に読み飛ばされるようになります。

読み飛ばしを設定した直後は、選択位置はクリアされていません。なので、通常のコマンドである NVDA+F10 によるコピーを実行することもできます。

読み飛ばすフレーズは無制限に覚えさせることができます。

### フレーズの読み飛ばしを元に戻す

読み飛ばすフレーズは、以下のいずれかによって削除されます。

- 読み飛ばすように設定したのと全く同じフレーズを選択した状態で NVDA+F11 を押す。選択したフレーズを通常通り読むようにする。
- NVDA+Shift+F11 を押す。設定をクリアして、全部を通常通り読むようにする。
- NVDA を再起動する。設定は保存されないので、終了と同時に読み飛ばしフレーズが飛ぶ。

## 注意

点字表示には一切の影響がありません。逆に、点字表示も短くしたいという話もあるかもしれませんが、それをやろうとするとタッチカーソルを押したときの処理が超絶に複雑化するのでやっていません。

例によって、音声出力を事前にごにょごにょする系のアドオンが御用達の processSpeech にフックしています。似たようなことをするアドオンと喧嘩する可能性があります。これは、フックする順序を制御できないので、今のところどうしようもないです。
